modifyItems

Modifies items in the cart.

Usage Plan:

Rate (requests per second)Burst
22

The x-amzn-RateLimit-Limit response header returns the usage plan rate limits that were applied to the requested operation. The preceding table indicates the default rate and burst values for this operation. For questions about your usage plan, reach out to your Amazon Business technical contact.

🚧

region must be set to US. Selecting any other region will return an error.

📘

To test this API, populate the input fields below with values from the following sample.

Example #1 - Click to expand
PATCH https://api.business.amazon.com/cart/2025-04-30/carts/cart-123/items?region=US
{
 "items": [
   {
     "itemId": "cId1",
     "quantity": 3
   }
 ]
}
Path Params
string
required

The unique identifier of the cart in which items are to be modified.

Query Params
string
enum
required

The region where the customer wants to modify items in the cart.

Body Params

Request to modify items in the cart.

items
array of objects
required
length between 1 and 50

Items to modify in the cart.

items*
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json